Bug 1771977 - [Test Only] Verify static routes using nmstate
Summary: [Test Only] Verify static routes using nmstate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Michael Burman
QA Contact: Roni
URL:
Whiteboard:
Depends On: VDSM_use_NetworkManager 1771969
Blocks: 1771981
TreeView+ depends on / blocked
 
Reported: 2019-11-13 10:24 UTC by Dominik Holler
Modified: 2020-08-04 13:27 UTC (History)
7 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Enhancement
Doc Text:
On RHV-4.4, NetworkManager manages the interface and static routes. As a result, you can make more robust modifications to static routes using Network Manager Stateful Configuration (nmstate).
Clone Of:
Environment:
Last Closed: 2020-08-04 13:27:22 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:3246 0 None None None 2020-08-04 13:27:50 UTC

Description Dominik Holler 2019-11-13 10:24:51 UTC
Tacked by bug 1771969 the procedure to defining static routes on hosts in RHV-4.4 is documented. This bug tracks the verification, that defining static routes is working like documented.

Comment 1 Dominik Holler 2019-11-13 11:58:32 UTC
Please note that the new procedure will work only if NetworkManager manges the related interfaces.

Comment 2 Sandro Bonazzola 2020-03-30 13:42:49 UTC
This bug is in modified state and targeted to 4.4.1. Can we re-target to 4.4.0 and move to QE?

Comment 3 Michael Burman 2020-03-30 13:57:11 UTC
(In reply to Sandro Bonazzola from comment #2)
> This bug is in modified state and targeted to 4.4.1. Can we re-target to
> 4.4.0 and move to QE?

Yes

Comment 5 Roni 2020-04-19 10:22:45 UTC
Verified on:
4.4.0-0.32.master.el8ev
Nmstate-0.2.6-6.el8.noarch + pathch https://gerrit.ovirt.org/#/c/108336/2/lib/vdsm/network/netswitch/configurator.py
Vdsm-4.40.13-1.el8ev.x86_64
NetworkManager-1.22.8-4.el8.x86_64

OS: RHEL 8.2
Kernel: 4.18.0-193.el8.x86_64

Note:
It is recommended to document that the custom static-route will be kept whenever 
the related route interface/bond exists and has an IP address. And will be removed if not.
As a result, there is different behavior between VM-Network and Non-VM-Network. 
A VM-Network is based on a bridge, while Non-VM-Network on an interface.
So replacing interface/bond (by moving the Network to other interfaces/bond) 
will not affect the route that related to VM-Network but will delete a route that related to a Non-VM-Network

Comment 16 errata-xmlrpc 2020-08-04 13:27:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV RHEL Host (ovirt-host) 4.4), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:3246


Note You need to log in before you can comment on or make changes to this bug.